scala.actors
class SingleThreadedScheduler

[source: `scala/actors/SingleThreadedScheduler.scala`]

`` `class` SingleThreadedScheduler
  `extends` IScheduler

  This scheduler executes the tasks of an actor on a single thread (the current thread).

Version
  0.9.6
Author
  Philipp Haller

Values and Variables inherited from IScheduler
QUIT_TASK

Method Summary
`def` | execute (task : scala.actors.FJTask) : Unit
`def` | execute (task : Reaction) : Unit
`def` | getTask (worker : WorkerThread) : Runnable
`def` | onLockup (millis : Int)(handler : () => Unit) : Unit
`def` | onLockup (handler : () => Unit) : Unit
`def` | pendReaction : Unit
`def` | printActorDump : Unit
`def` | shutdown : Unit
`def` | snapshot : scala.actors.LinkedQueue
`def` | start : Unit
`def` | start (task : Reaction) : Unit
`def` | terminated (a : Actor) : Unit
`def` | tick (a : Actor) : Unit
`def` | unPendReaction : Unit

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` start : Unit

Overrides
  IScheduler.start

`` `def` start(task : Reaction) : Unit

Overrides
  IScheduler.start

`` `def` execute(task : Reaction) : Unit

Overrides
  IScheduler.execute

`` `def` execute(task : scala.actors.FJTask) : Unit

Overrides
  IScheduler.execute

`` `def` getTask(worker : WorkerThread) : Runnable

Overrides
  IScheduler.getTask

`` `def` tick(a : Actor) : Unit

Overrides
  IScheduler.tick

`` `def` terminated(a : Actor) : Unit

Overrides
  IScheduler.terminated

`` `def` pendReaction : Unit

Overrides
  IScheduler.pendReaction

`` `def` unPendReaction : Unit

Overrides
  IScheduler.unPendReaction

`` `def` shutdown : Unit

Overrides
  IScheduler.shutdown

`` `def` snapshot : scala.actors.LinkedQueue

Overrides
  IScheduler.snapshot

`` `def` onLockup(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`` `def` onLockup(millis : Int)(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`` `def` printActorDump : Unit

Overrides
  IScheduler.printActorDump